// shader and textures (c) 2004 randy 'ydnar' reddig
// http://shaderlab.com
// stay 1337

// -----------------------------------------------------------
// sky
// must be compiled with -skyfix in BSP phase using Q3Map2
// to fix ATI/correct texture clamping issue
// -----------------------------------------------------------

textures/shaderlab_1337/sky
{
	qer_editorimage textures/shaderlab_1337/sky_clouds.tga
	
	q3map_lightImage textures/shaderlab_1337/sky_clouds.tga
	
	// light values tuned for -gamma 2 -compensate 4
	q3map_sunExt 1 1 1 400 -30 45 2 12
	q3map_skyLight 75 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/shaderlab_1337/env/sky 1337 -
	
	nopicmip
	
	{
		map textures/shaderlab_1337/sky_clouds.tga
		tcMod scroll 0.0025 -0.0075
		rgbGen identityLighting
	}
	{
		map textures/shaderlab_1337/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}



// -----------------------------------------------------------
// concrete that fades to tan (using alphaMod volume brushes)
// -----------------------------------------------------------

textures/shaderlab_1337/conc_1
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shaderlab_1337/conc_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/shaderlab_1337/env/sky_dn.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
		alphaGen oneMinusVertex
	}
}



// -----------------------------------------------------------
// water shit (from shaderlab_sorting_fun)
// -----------------------------------------------------------

textures/shaderlab_1337/water_caulk
{
	qer_trans 0.5
	
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}


textures/shaderlab_1337/water
{
	q3map_tessSize 2048
	q3map_tcGen ivector ( 1337 0 0 ) ( 0 1337 0 )
	
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm pointlight
	
	cull none
	sort additive
	
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/shaderlab_1337/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		alphaGen vertex
		tcMod scroll 0.01 0.025
	}
	{
		map textures/shaderlab_1337/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		alphaGen vertex
		tcMod scale 1.5 1.5
		tcMod scroll -0.0075 -0.03
		rgbGen identity
	}
}
